---
name: gists-routes
description: Handle 19 OpenAPI operation(s) under /gists for the gists route group.
---

# gists API Routes

Handle 19 OpenAPI operation(s) under /gists for the gists route group.

Use the generated operation tools to make real API calls. Do not invent API responses.
If a tool reports missing setup, return the exact setup field name to the caller.
For write, update, or delete operations, state the intended action before calling the tool.

## Operations

### gists_list

- Operation ID: `gists_list`
- Route: `GET /gists`
- Mode: READ
- Summary: List gists for the authenticated user
- Parameters:
  - `since` in `query`
  - `per_page` in `query`
  - `page` in `query`

### gists_create

- Operation ID: `gists_create`
- Route: `POST /gists`
- Mode: WRITE
- Summary: Create a gist
- Body: JSON request body accepted.

### gists_list_public

- Operation ID: `gists_list_public`
- Route: `GET /gists/public`
- Mode: READ
- Summary: List public gists
- Parameters:
  - `since` in `query`
  - `per_page` in `query`
  - `page` in `query`

### gists_list_starred

- Operation ID: `gists_list_starred`
- Route: `GET /gists/starred`
- Mode: READ
- Summary: List starred gists
- Parameters:
  - `since` in `query`
  - `per_page` in `query`
  - `page` in `query`

### gists_get

- Operation ID: `gists_get`
- Route: `GET /gists/{gist_id}`
- Mode: READ
- Summary: Get a gist
- Parameters:
  - `gist_id` in `path` required

### gists_update

- Operation ID: `gists_update`
- Route: `PATCH /gists/{gist_id}`
- Mode: WRITE
- Summary: Update a gist
- Parameters:
  - `gist_id` in `path` required
- Body: JSON request body accepted.

### gists_delete

- Operation ID: `gists_delete`
- Route: `DELETE /gists/{gist_id}`
- Mode: WRITE
- Summary: Delete a gist
- Parameters:
  - `gist_id` in `path` required

### gists_list_comments

- Operation ID: `gists_list_comments`
- Route: `GET /gists/{gist_id}/comments`
- Mode: READ
- Summary: List gist comments
- Parameters:
  - `gist_id` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### gists_create_comment

- Operation ID: `gists_create_comment`
- Route: `POST /gists/{gist_id}/comments`
- Mode: WRITE
- Summary: Create a gist comment
- Parameters:
  - `gist_id` in `path` required
- Body: JSON request body accepted.

### gists_get_comment

- Operation ID: `gists_get_comment`
- Route: `GET /gists/{gist_id}/comments/{comment_id}`
- Mode: READ
- Summary: Get a gist comment
- Parameters:
  - `gist_id` in `path` required
  - `comment_id` in `path` required

### gists_update_comment

- Operation ID: `gists_update_comment`
- Route: `PATCH /gists/{gist_id}/comments/{comment_id}`
- Mode: WRITE
- Summary: Update a gist comment
- Parameters:
  - `gist_id` in `path` required
  - `comment_id` in `path` required
- Body: JSON request body accepted.

### gists_delete_comment

- Operation ID: `gists_delete_comment`
- Route: `DELETE /gists/{gist_id}/comments/{comment_id}`
- Mode: WRITE
- Summary: Delete a gist comment
- Parameters:
  - `gist_id` in `path` required
  - `comment_id` in `path` required

### gists_list_commits

- Operation ID: `gists_list_commits`
- Route: `GET /gists/{gist_id}/commits`
- Mode: READ
- Summary: List gist commits
- Parameters:
  - `gist_id` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### gists_list_forks

- Operation ID: `gists_list_forks`
- Route: `GET /gists/{gist_id}/forks`
- Mode: READ
- Summary: List gist forks
- Parameters:
  - `gist_id` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### gists_fork

- Operation ID: `gists_fork`
- Route: `POST /gists/{gist_id}/forks`
- Mode: WRITE
- Summary: Fork a gist
- Parameters:
  - `gist_id` in `path` required

### gists_check_is_starred

- Operation ID: `gists_check_is_starred`
- Route: `GET /gists/{gist_id}/star`
- Mode: READ
- Summary: Check if a gist is starred
- Parameters:
  - `gist_id` in `path` required

### gists_star

- Operation ID: `gists_star`
- Route: `PUT /gists/{gist_id}/star`
- Mode: WRITE
- Summary: Star a gist
- Parameters:
  - `gist_id` in `path` required

### gists_unstar

- Operation ID: `gists_unstar`
- Route: `DELETE /gists/{gist_id}/star`
- Mode: WRITE
- Summary: Unstar a gist
- Parameters:
  - `gist_id` in `path` required

### gists_get_revision

- Operation ID: `gists_get_revision`
- Route: `GET /gists/{gist_id}/{sha}`
- Mode: READ
- Summary: Get a gist revision
- Parameters:
  - `gist_id` in `path` required
  - `sha` in `path` required
